\section{\report{} 17 April, 2020}
\label{sec:2020-04-17-section}

\subsection{Resources}
\label{sec:2020-04-17-useful-resources-i-came-across}

\subsubsection{Equation-based models}
\label{sec:2020-04-17-equation-based-models}

\begin{itemize}
  \item \href{https://github.com/THU-ZCAM/SEIRHD-difference-model}{Matlab code} of the Chinese version
\end{itemize}

\subsubsection{Agent-based models}
\label{sec:2020-04-17-agent-based-models}

\begin{itemize}
  \item Python implementation: \href{https://towardsdatascience.com/agent-based-simulation-of-covid-19-health-and-economical-effects-6aa4ae0ff397}{article} and \href{https://github.com/petroniocandido/COVID19_AgentBasedSimulation}{code}
  \item \href{https://covid19.gleamproject.org/\#about}{GLEAM} used in \href{https://science.sciencemag.org/content/early/2020/03/05/science.aba9757}{Science article}
\end{itemize}

\subsubsection{Data (with age and sex)}
\label{sec:2020-04-17-data-with-age-and-sex}

\begin{itemize}
  \item \cite{covid19india-git}
  \item \cite{spainOfficial77}
\end{itemize}

\subsection{Things I did}
\label{sec:2020-04-17-things-I-did}

\subsubsection{SEIQRDP (generalized SEIR), our version originated from
polito:}
\label{sec:2020-04-17-seiqrdp-generalized-seir-our-version-originated-from-polito}

\begin{itemize}
  \item created stub Matlab scripts for other countries
  \item implemented a Matlab script to fetch italian data, fit, plot, show statistics (run \href{https://www.dropbox.com/home/Carlo\%20and\%20SSJ/code/italia?preview=runSEIQRDP.m}{Dropbox/code/italia/runSEIQRDP.m})
\end{itemize}

\subsubsection{SEIQRD (SEIQRDP without P
state)}
\label{sec:2020-04-17-seiqrd-seiqrdp-without-p-state}

\begin{itemize}
  \item created and tested model (surprisingly it performs better than
  SEIQRDP): run \href{https://www.dropbox.com/home/Carlo\%20and\%20SSJ/code/italia?preview=runSEIQRD.m}{Dropbox/code/italia/runSEIQRD.m} and compare the normalized RMSE scores with SEIQRDP
\end{itemize}

\subsubsection{AASD (age stratified
SEIQRDP)}
\label{sec:2020-04-17-aasd-age-stratified-seiqrdp}

\begin{itemize}
  \item sketched the scheme (\fg[AASD-scheme-sketch]{}) and equations (\fg[AASD-equations-sketch]{})

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-04-17/scheme.jpg}
\caption{AASD scheme sketch}
\label{fig:AASD-scheme-sketch}
\end{figure}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-04-17/equations.jpg}
\caption{AASD equations sketch}
\label{fig:AASD-equations-sketch}
\end{figure}

\end{itemize}

\subsubsection{Agent-based}
\label{sec:2020-04-17-agent-based}

\begin{itemize}
  \item modified the \href{https://github.com/petroniocandido/COVID19_AgentBasedSimulation}{Python implemenation} with \href{https://github.com/cvcssj/covid19_agentbasedsimulation}{latest data}
  \item generated some images (\fg[60-at-home]{}, \fg[total-lockdown]{})

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-04-17/agent_0.png}
\caption{60+ at home}
\label{fig:60-at-home}
\end{figure}

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-04-17/agent_1.png}
\caption{Total lockdown}
\label{fig:total-lockdown}
\end{figure}

\end{itemize}
